Skip to main content
`Ctrl`+`K`

# numpy.positive

numpy.positive(x, /, out=None, *, where=True, casting='same_kind', order='K', dtype=None, subok=True[, signature]) = <ufunc 'positive'>

  Numerical positive, element-wise.

  Parameters:
    x array_like or scalar

      Input array.

  Returns:
    y ndarray or scalar

      Returned array or scalar: y = +x. This is a scalar if x is a scalar.

  Notes

  Equivalent to x.copy(), but only defined for types that support arithmetic.

  Examples

      >>> import numpy as np

      >>> x1 = np.array(([1., -1.]))
      >>> np.positive(x1)
      array([ 1., -1.])

  The unary `+` operator can be used as a shorthand for `np.positive` on ndarrays.

      >>> x1 = np.array(([1., -1.]))
      >>> +x1
      array([ 1., -1.])